Package io.milvus.param

## Class ServerAddress

- java.lang.Object
- - io.milvus.param.ServerAddress

-     public class ServerAddress
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ServerAddress.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getHealthPort()` |
    `java.lang.String` | `getHost()` |
    `int` | `getPort()` |
    `int` | `hashCode()` |
    `static ServerAddress.Builder` | `newBuilder()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

    - #### getPort

          public int getPort()

    - #### getHealthPort

          public int getHealthPort()

    - #### newBuilder

          public static ServerAddress.Builder newBuilder()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`